Bug 894509

Summary: calibre includes forked version of textile, markdown, BeautifulSoup, chardet, cherrypy, html5lib, python-routes, feedparser (noted elsewhere)....
Product: [Fedora] Fedora Reporter: Toshio Ernie Kuratomi <a.badger>
Component: calibreAssignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: chkr, frankly3d, kevin, mbacovsk, nushio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:48:41 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Toshio Ernie Kuratomi 2013-01-11 17:30:39 EST
Description of problem:

calibre/src/calibre/ebooks/textile contains a forked version of the python-textile package (currently at version 2.1.4).

The files are small but the changes are intrusive.  Best initial effort is probably spent seeing if upstream calibre could submit some of their changes to python-textile's upstream.  I didn't take the time to understand everything that they're doing, however, so I'm not sure that's going to get rid of all the changes :-(
Comment 1 Toshio Ernie Kuratomi 2013-01-11 17:45:56 EST
Found a whole lot more :-(

src/chardet => python-chardet
src/cherrypy => python-cherrypy
src/html5lib => python-html5lib
src/routes => python-routes
calibre/src/calibre/ebooks/BeautifuleSoup.py => python-BeautifulSoup
calibre/src/calibre/ebooks/markdown/ => python-markdown

There could be more.  These are just ones that the names meant something to me and when I looked closer, they were bundled versions.
Comment 2 Kevin Fenzi 2013-01-11 20:55:22 EST
A number of these are deleted before shipping:

...
# these are provided as separate packages
rm -rf %{buildroot}%{_libdir}/%{name}/{odf,cherrypy,encutils,cssutils}
rm -rf %{buildroot}%{_libdir}/%{name}/cal/utils/genshi
rm -rf %{buildroot}%{_libdir}/%{name}/cal/trac

# rm empty feedparser files. 
rm -rf %{buildroot}%{_libdir}/%{name}/%{name}/web/feeds/feedparser.*
...

Should they be deleted in prep instead?

I'll dig around and try and get a list for unbundling. (unless one of my outstanding co-maintainers would be willing to do so. ;)
Comment 3 Toshio Ernie Kuratomi 2013-01-11 21:41:09 EST
Yeah, they should be deleted in %prep.

feedparser is still there in the current rawhide package:
calibre-0:0.9.13-1.fc19.x86_64

$ repoquery -ql calibre|grep feedparser
/usr/lib64/calibre/calibre/web/feeds/feedparser.py
/usr/lib64/calibre/calibre/web/feeds/feedparser.pyc
/usr/lib64/calibre/calibre/web/feeds/feedparser.pyo
Comment 4 Kevin Fenzi 2013-01-11 21:58:07 EST
Actually if you look closely, those are links to the system feedparser. ;) 

Thats the only way I could get it working with the system one. 

% rpm -qlv calibre | grep feedparser
lrwxrwxrwx    1 root    root                       46 Jan  4 12:25 /usr/lib64/calibre/calibre/web/feeds/feedparser.py -> /usr/lib/python2.7/site-packages/feedparser.py
lrwxrwxrwx    1 root    root                       47 Jan  4 12:25 /usr/lib64/calibre/calibre/web/feeds/feedparser.pyc -> /usr/lib/python2.7/site-packages/feedparser.pyc
lrwxrwxrwx    1 root    root                       47 Jan  4 12:25 /usr/lib64/calibre/calibre/web/feeds/feedparser.pyo -> /usr/lib/python2.7/site-packages/feedparser.pyo
Comment 5 Frank Murphy 2013-01-12 03:11:16 EST
(In reply to comment #2)

> 
> I'll dig around and try and get a list for unbundling. (unless one of my
> outstanding co-maintainers would be willing to do so. ;)

(on my getting longer todo list, rpms :( )
Comment 6 Fedora End Of Life 2013-04-03 15:30:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 17:03:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:48:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.